Name:          gzip
Version:       1.10
Release:       4mamba
Summary:       The GNU data compression program
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gzip.org/
Source:        ftp://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.gz
Patch0:        %{name}-1.2.4-zforce.patch
Patch1:        %{name}-1.3.12-can_2004_0970.patch
Patch2:        %{name}-1.3.12-zgreppipe.patch
Patch3:        %{name}-1.3.9-addsuffix.patch
Patch4:        %{name}-1.3.12-stderr.patch
Patch5:        %{name}-1.3.12-cve_2006_4335.patch
Patch6:        %{name}-1.3.12-cve_2006_4336.patch
Patch7:        %{name}-1.3.12-cve_2006_4337.patch
Patch8:        %{name}-1.3.12-cve_2006_4338.patch
Patch9:        %{name}-1.3.12-window-size.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
Requires(post): filesystem >= 2.3-4mamba
Provides:       /bin/gunzip
Provides:       /bin/gzip
Provides:       /bin/zcat

%description
The gzip package contains the popular GNU gzip data compression program.
Gzipped files have a .gz extension.

%debug_package

%prep
%setup -q
%define _default_patch_fuzz 2
%patch0 -p1 -b .zforce
#%patch1 -p1 -b .can_2004_0970
#%patch2 -p1 -b .zgreppipe
#%patch3 -p1 -b .addsuffix
#%patch4 -p1 -b .stderr
%patch5 -p1 -b .cve_2006_4335
#%patch6 -p1 -b .cve_2006_4336
#%patch7 -p1 -b .cve_2006_4337
#%patch8 -p1 -b .cve_2006_4337
%patch9 -p1 -b .window_size

%build
export DEFS="NO_ASM"
%configure --bindir=%{_bindir}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall bindir=%{_bindir}

# uncompress is a part of ncompress package
rm -f %{buildroot}%{_bindir}/uncompress

## create symlink needed by some broken rpms
#install -d %{buildroot}%{_bindir}
#ln -sf /bin/gzip %{buildroot}%{_bindir}/gzip

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info gzip.info
:

%preun
%uninstall_info gzip.info
:

%files
%defattr(-,root,root)
%{_bindir}/*
%{_infodir}/gzip.*
%{_mandir}/man1/gunzip.*
%{_mandir}/man1/gzexe.*
%{_mandir}/man1/gzip.*
%{_mandir}/man1/zcat.*
%{_mandir}/man1/zcmp.*
%{_mandir}/man1/zdiff.*
%{_mandir}/man1/zforce.*
%{_mandir}/man1/zgrep.*
%{_mandir}/man1/zless.*
%{_mandir}/man1/zmore.*
%{_mandir}/man1/znew.*
%doc AUTHORS COPYING
#NEWS README THANKS TODO

%changelog
* Sat Apr 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-4mamba
- add legacy /bin provides

* Sat Apr 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-3mamba
- install binaries in %_bindir instead of /bin

* Thu Nov 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-2mamba
- added debug package

* Sun Dec 30 2018 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Mon Jan 08 2018 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Wed Apr 27 2016 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Wed Jun 20 2012 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic update to 1.4 by autodist

* Thu Nov 19 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.3.13-2mamba
- create the %{_bindir}/gzip symlink to /bin/gzip needed by some broken third-party rpm

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 1.3.13-1mamba
- automatic update to 1.3.13 by autodist

* Wed Apr 18 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.3.12-1mamba
- update to version 1.3.12 by autospec
- update patch#2 and patch#4
- update patch against vulnerability CVE-2004-0970 (partially fixed upstream)
- security fix against CVE-2006-4335 (buffer overflow)
- security fix against CVE-2006-4336 (buffer underflow)
- security fix against CVE-2006-4337 (buffer overflow)
- security fix against CVE-2006-4338 (infinite loop)

* Mon Dec 18 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.9-1qilnx
- update to version 1.3.9 by autospec
- dropped patch #3 (zgrep-sed.patch): fixed upstream
- updated patches #4,#5
- dropped patch #7 against CVE-2005-1228: fixed upstream
- dropped patch against CVE-2005-0988: now gzip uses fchown

* Fri May 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.5-1qilnx
- update to version 1.3.5 by autospec
- fixed security issues QSA-2005-062 (CAN-2005-0988, CAN-2005-1228)

* Mon Jan 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4a-3qilnx
- fixed path of gunzip and zcat according to FHS 2.3

* Thu Nov 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4a-2qilnx
- removed compress and uncompress utilities (provided now by ncompress)
- %patch1 modified to remove the buildroot directory from the PATH variables
  in all the gzip scripts; added support for DESTDIR in the Makefile
- fixed symlinks to manpages
  (were broken because of a bug in the rpm script `rpm-compress')
- security fix: QSA-2004-055 (CAN-2004-0970)

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-4qilnx
- fixed the gunzip symlink

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.2.4-3qilnx
- fixed symlink error

* Mon Apr 07 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.2.4-1qilnx
- creation of gzip package
